<mat-card>
  <mat-card-title>Alterar Usuário</mat-card-title>
  <form *ngIf="usuario">
    <mat-form-field>
      <input matInput placeholder="nome"
        [(ngModel)]="usuario.nome" name="nome">
    </mat-form-field>
    <mat-form-field>
      <input matInput placeholder="cpf"
       [(ngModel)]="usuario.cpf" name="cpf">
    </mat-form-field>
    <mat-form-field>
      <input matInput placeholder="email"
        [(ngModel)]="usuario.email" name="email">
    </mat-form-field>
    <mat-form-field>
      <input matInput placeholder="whatsapp"
        [(ngModel)]="usuario.whatsapp" name="whatsapp">
    </mat-form-field>
  </form>
  <button mat-raised-button
    (click)="atualizaUsuario()"
    color="primary" >
    Atualizar
  </button>

  <button mat-raised-button
      (click)="cancelar()"
      color="warn" >
    Cancelar
  </button>
</mat-card>



